Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSMessagingLimits Class Reference

This class defines current limits for various messaging service operations. More...

`#import <CSMessagingLimits.h>`

Inherits NSObject.

## Properties
CSLimitsSizeType | maxAudioSize
| Get the maximum size of an audio file attachment. More...
CSLimitsSizeType | maxImageSize
| Get the maximum size of an image file attachment. More...
CSLimitsSizeType | maxGenericAttachmentSize
| Get the maximum size of an attachment that is not an audio file or image file attachment. More...
CSLimitsSizeType | maxTextLength
| Get the maximum text length value accepted. More...
CSLimitsSizeType | maxVideoSize
| Get the maximum video size value accepted. More...
CSLimitsSizeType | maxNumberOfAttachmentsPerMessage
| Get the maximum number of attachments per message accepted. More...
CSLimitsSizeType | maxConversationSubjectLength
| Get the maximum conversation subject length. More...
BOOL | richContentAllowed
| Specifies if client has access to rich content capabilities (attachments of type other than other generic). More...
CSLimitsSizeType | maxHtmlLength
| Get the maximum HTML formatted text length value accepted. More...

## Detailed Description

This class defines current limits for various messaging service operations.

These limits are configured on the messaging server and can change if the server administrator changes them.

See also
  -[CSMessagingServiceDelegate messagingServiceDidChangeCapabilities:]

## Property Documentation

- (CSLimitsSizeType) maxAudioSize
| read nonatomic assign

Get the maximum size of an audio file attachment.

Returns
  the maximum size of an audio file attachment.

- (CSLimitsSizeType) maxConversationSubjectLength
| read nonatomic assign

Get the maximum conversation subject length.

Returns
  the maximum conversation subject length.

See also
  CSMessagingConversation setSubject:completionHandler:]

- (CSLimitsSizeType) maxGenericAttachmentSize
| read nonatomic assign

Get the maximum size of an attachment that is not an audio file or image file attachment.

Returns
  the maximum size of an attachment that is not an audio file or image file attachment.

- (CSLimitsSizeType) maxHtmlLength
| read nonatomic assign

Get the maximum HTML formatted text length value accepted.

Client SDK extracts the plain text from HTML formatted text. Plain text extracted from HTML formatted text should not exceed maxTextLength.

Returns
  the maximum HTML length value accepted (in characters).

See also
  -[CSMessage setBodyAndReportTyping:completionHandler:]
  maxTextLength

- (CSLimitsSizeType) maxImageSize
| read nonatomic assign

Get the maximum size of an image file attachment.

Returns
  the maximum size of an image file attachment.

- (CSLimitsSizeType) maxNumberOfAttachmentsPerMessage
| read nonatomic assign

Get the maximum number of attachments per message accepted.

Returns
  the maximum number of attachments per message accepted.

- (CSLimitsSizeType) maxTextLength
| read nonatomic assign

Get the maximum text length value accepted.

Returns
  the maximum text length value accepted (in characters).

See also
  -[CSMessage setBodyAndReportTyping:completionHandler:]
  maxHtmlLength

- (CSLimitsSizeType) maxVideoSize
| read nonatomic assign

Get the maximum video size value accepted.

Returns
  the maximum video size value accepted.

- (BOOL) richContentAllowed
| read nonatomic assign

Specifies if client has access to rich content capabilities (attachments of type other than other generic).

Returns
  the rich content allowed flag.

The documentation for this class was generated from the following file:

- CSMessagingLimits.h